Subject: bug#39799: 28.0.50; Most emoji sequences don’t render correctly

From: Mike FABIAN <[email-masked]>
Date: Sat, 29 Feb 2020 12:41:02 +0100

Eli Zaretskii <[email-masked]> さんはかきました:

> OK, but then characters such as Ⓜ U+24C2 are supposed to be displayed
> in their text presentation by default, so the sequence Ⓜ︎ U+24C2 U+FE0E
> seems redundant, as it should display the same as just Ⓜ U+24C2.

http://unicode.org/faq/vs.html#5 says:

> Q: How should variation sequences be displayed?
> 
> A: When they are valid variation sequences, they should be displayed as
> illustrated in the Unicode code charts, the emoji charts, or in the
> Ideographic Variation Database. When a variation sequence is not valid
> or its display is not supported, the base character is displayed as
> usual, and the variation selector is invisible. See Display of
> Unsupported Characters.
> 
> Q:What about applications that don't support variation sequences?
> 
> A: Applications not supporting variation sequences should act as if the
> variation selector is not present. That normally applies to all text
> processes such as searching, sorting, parsing, and so forth.

So probably  Ⓜ︎ U+24C2 U+FE0E should not display U+FE0E as a box, as you
say it should exactly display as just Ⓜ U+24C2.

-- 
Mike FABIAN <[email-masked]>
睡眠不足はいい仕事の敵だ。